Bug 1474185 - ruby-libs paddr.rb:563:in `in6_addr': invalid address (IPAddr::InvalidAddressError)
ruby-libs paddr.rb:563:in `in6_addr': invalid address (IPAddr::InvalidAddress...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
26
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 01:41 EDT by Christoph Sievers
Modified: 2018-02-05 06:03 EST (History)
8 users (show)

See Also:
Fixed In Version: ruby-2.4.2-84.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-05 06:03:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ruby/ruby/pull/1513 None None None 2017-12-21 16:16 EST

  None (edit)
Description Christoph Sievers 2017-07-24 01:41:47 EDT
Description of problem:

# The name of this file is bug.rb
require 'uri'
ENV['http_proxy']='http://127.0.0.1'
ENV['no_proxy']='192.0.2.2'
URI("http://example.org/").find_proxy
$ ruby bug.rb
/home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/ipaddr.rb:563:in `in6_addr': invalid address (IPAddr::InvalidAddressError)
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/ipaddr.rb:500:in `initialize'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/ipaddr.rb:518:in `new'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/ipaddr.rb:518:in `coerce_other'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/ipaddr.rb:174:in `include?'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/uri/generic.rb:1541:in `block in find_proxy'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/uri/generic.rb:1530:in `scan'
        from /home/m/.rbenv/versions/2.4.0/lib/ruby/2.4.0/uri/generic.rb:1530:in `find_proxy'
        from bug.rb:4:in `<main>'

Version-Release number of selected component (if applicable):

ruby-libs-2.4.1-79.fc26.x86_64

How reproducible:

$ http_proxy=http://127.0.0.1 no_proxy=192.0.2.2 ruby -ropen-uri -e 'open("http://example.org")'



Actual results:

see above
Comment 1 Felipe Zipitría 2017-10-06 10:59:34 EDT
I can confirm that this patch solves the problem.
Comment 2 Vít Ondruch 2018-02-05 06:03:39 EST
This was addressed in Ruby 2.4.2

Note You need to log in before you can comment on or make changes to this bug.